This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 720656 - Entities ignored in filename
Entities ignored in filename
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 08:06 EDT by John J. McDonough
Modified: 2011-09-05 00:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-05 00:30:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John J. McDonough 2011-07-12 08:06:08 EDT
Description of problem:
The productname and productnumber are used to form the filename for pdf and epub documents.  However, if an entity from document_name.ent is used in these places (which would normally be the case), they are omitted from the filename, causing the filename to begin with a double hyphen.

Version-Release number of selected component (if applicable):
2.5

How reproducible:
reproduceable

Steps to Reproduce:
1. In Book_Info.xml:
    <productname>&PRODUCT;</productname>
    <productnumber>&PRODVER;</productnumber>
2. publican build -l en-US -f pdf,epub
3. ls tmp/en-US
   ls tmp/en-US/pdf
  
Actual results:
--docname.pdf (or epub)

Expected results:
product-version-docname.pdf

Additional info:
Comment 1 Ruediger Landmann 2011-08-22 01:54:01 EDT
Redirecting upstream.
Comment 2 Jeff Fearn 2011-09-05 00:30:49 EDT
The data used for packaging does not use the XSL system and therefore can not use content that requires XSLT processing to calculate the content.

This is a known limitation and will not be changing in the foreseeable future.

Note You need to log in before you can comment on or make changes to this bug.